*** WooCommerce InPost Changelog ***

## [3.20.9] - 2022-06-28
### Poprawiono
- obsługa subskrypcji

## [3.20.8] - 2022-06-13
### Poprawiono
- tracker
- zbiorcze pobieranie etykiet

## [3.20.7] - 2022-06-08
### Poprawiono
- cache danych punktu odbioru dla XML API

## [3.20.6] - 2022-06-03
### Poprawiono
- cache danych punktu odbioru
### Dodano
- Wsparcie dla WooCommerce 6.6

## [3.20.5] - 2022-05-12
### Poprawiono
- wyszukiwarkę paczkomatów

## [3.20.4] - 2022-05-05
### Dodano
- Wsparcie dla Wordpress 6.0
- Wsparcie dla WooCommerce 6.5

## [3.20.3] - 2022-04-25
### Poprawiono
- Obsługa pamięci podręcznej paczkomatów

## [3.20.2] - 2022-04-20
### Dodano
- Wsparcie dla WooCommerce 6.4
### Poprawiono
- Obsługa pamięci podręcznej paczkomatów
- Obsługę usługi Paczka w weekend
- Wyświetlanie pola wyboru paczkomatu podczas zmiany subskrypcji
- Miejsce wyświetlania pola wyboru paczkomatu dla subskrypcji

## [3.20.1] - 2022-03-21
### Poprawiono
- Masowe wydruki etykiet dla przesyłek różnego typu (paczkomat/kurier)

## [3.20.0] - 2022-03-03
### Dodano
- Filtr umożliwiający dołączenie skryptów i stylów CSS na dowolnej stronie (np. stronie zamówienia) w niekompatybilnych motywach (woocommerce_paczkomaty_inpost/add_scripts)

## [3.19.5] - 2022-03-02
### Dodano
- Wsparcie dla WooCommerce 6.3

## [3.19.4] - 2022-02-07
### Poprawiono
- Obsługę cache dla paczkomatów

## [3.19.3] - 2022-01-27
### Dodano
- Wsparcie dla Wordpress 5.9
- Wsparcie dla WooCommerce 6.2

## [3.19.2] - 2022-01-12
### Dodano
- Wsparcie dla WooCommerce 6.1
### Poprawiono
- Warning podczas składania zamówienia

## [3.19.1] - 2021-12-13
### Dodano
- Wsparcie dla WooCommerce 6.0
### Poprawiono
- Typ etykiet: A6

## [3.19.0] - 2021-12-09
### Dodano
- Wsparcie dla generowania wielu etykiet

## [3.18.2] - 2021-11-09
### Dodano
- Wsparcie dla WooCommerce 5.9

## [3.18.1] - 2021-10-19
### Dodano
- Wsparcie dla WooCommerce 5.8

## [3.18.0] - 2021-10-06
### Zmieniono
- Aktywacja licencji została przeniesiona na stronę "Wtyczki"
### Poprawiono
- Wybór paczkomatu z mapy po zmianie metody wysyłki
- Domanę dla tłumaczeń z paczkomat_shipping_method na woocommerce-paczkomaty-inpost

## [3.17.3] - 2021-09-16
### Poprawiono
- Kompatybilność z Polylang

## [3.17.2] - 2021-09-15
### Poprawiono
- Błąd krytyczny na niektórych konfiguracjach

## [3.17.1] - 2021-09-08
### Dodano
- Wsparcie dla BaseLinker dla paczkomatów
### Poprawiono
- Mechanizm cache dla paczkomatów przy pierwszym uruchomieniu wtyczki
- Wyświetlanie Doręczenia w sobotę

## [3.17.0] - 2021-07-19
### Dodano
- Doręczenie w sobotę
### Zmieniono
- Komunikat w ustawieniach z linkiem do instrukcji jak wygenerować token

## [3.16.2] - 2021-06-21
### Usunięto
- wyświetlanie komunikatu o braku allow_url_fopen

## [3.16.1] - 2021-06-08
### Poprawiono
- mechanizm cache dla paczkomatów przy pierwszym uruchomieniu wtyczki

## [3.16.0] - 2021-04-27
### Poprawiono
- mechanizm cache dla paczkomatów w Checkout jeżeli nie działa API Inpost
### Dodano
- obsługa przesyłek dla subskrypcji (wtyczka WooCommerce Subscriptions)

## [3.15.9] - 2021-03-22
### Poprawiono
- przycisk wydruku etykiety dla integracji z Flexible Printing w edycji zamówienia

## [3.15.8] - 2021-03-01
### Poprawiono
- optymalizacja użycia pamięci podczas aktualizacji listy paczkomatów

## [3.15.7] - 2020-12-21
### Poprawiono
- kolejność akcji podczas automatycznego tworzenia przesyłek przy zmianie statusu zamówienia

## [3.15.6] - 2020-12-17
### Poprawiono
- niezapowiedziane przez InPost ograniczenia dotyczące zapytań w zasobie API Points, pierwotne ograniczenie: https://inpost.pl/aktualnosci-api-points

## [3.15.5] - 2020-12-08
### Poprawiono
- podwójne drukowanie przy automatycznej zmianie statusu zamówienia

## [3.15.4] - 2020-12-07
### Dodano
- Wsparcie dla WordPress 5.6

## [3.15.3] - 2020-11-19
### Poprawiono
- Wsparcie dla niektórych motywów - brakujący select2

## [3.15.2] - 2020-11-19
### Dodano
- Wsparcie dla WooCommerce 4.7

## [3.15.1] - 2020-10-29
### Dodano
- Wsparcie dla WooCommerce 4.6

## [3.15.0] - 2020-09-01
### Dodano
- Usługa Allegro miniKurier24 za pobraniem

### Zmieniono
- Usługi Allegro MiniPaczka na Allegro miniKurier24

### Poprawiono
- Poprawiono obliczanie szerokości Select2 podczas wyszukiwania Paczkomatów

## [3.14.0] - 2020-08-06
### Dodano
- Możliwość nadania przesyłki kurierskiej w Paczkomacie (inpost_courier_c2c)
- Dynamiczne wyszukiwanie paczkomatów podczas przygotowywania przesyłki
- Dynamiczne wyszukiwanie paczkomatów w ustawieniach InPost

### Usunięto
- Z mapy paczkomatów niedostępne Punkty Odbioru Przesyłki

### Poprawiono
- Obsługa mapy paczkomatów
- Poprawionoobliczanie wagi zamówienia z przecinkiem jako separatorem dziesiętnym

### Zmieniono
- Aktualizacja związana ze zmianami w API InPost: https://inpost.pl/aktualnosci-api-points

## [3.13.0] - 2020-07-28
### Dodano
- Dodanie funkcjonalności odświeżania status przesyłek w tle (Action Scheduler/Cron)

## [3.12.0] - 2020-07-22
### Dodano
- Obsługi InPost Kurier dla zamówień pobieranych z Allegro
- Wsparcie dla WooCommerce 4.4

## [3.11.6] - 2020-07-01
### Poprawiono
- Wyszukiwania dla miast zawierających polskie znaki

## [3.11.5] - 2020-05-20
### Dodano
- Opcja konfiguracji domyślnego rozmiaru paczki dla Allegro
- Filtry umożliwiające modyfikację parametrów podczas jest tworzenia poprzez złożenie zamówienia

## [3.11.4] - 2020-05-13
### Poprawiono
- Endpoint danych dla wyboru paczkomatu z mapy

## [3.11.3] - 2020-05-04
### Poprawiono
- Nazwy katalogu dla szablonów w motywie (woocommerce-paczkomaty-inpost)

## [3.11.2] - 2020-04-20
### Poprawiono
- Wybór paczkomatu z mapy (niektóre motywy)

## [3.11.1] - 2020-04-18
### Poprawiono
- Błąd przepełnionej pamięci dla listy paczkomatów

## [3.11.0] - 2020-04-16
### Dodano
- Obsługa Beacon

## [3.10.1] - 2020-04-10
### Dodano
- Obsługa powiadomień SMS i e-mail

### Poprawiono
- CSS dla select2

## [3.10.0] - 2020-04-01
### Dodano
- Obsługa paczki w weekend

## [3.9.15] - 2020-04-01
### Poprawiono
- Wybór paczkomatu z mapy

## [3.9.14] - 2020-03-30
### Poprawiono
- Wyszukiwanie paczkomatów w AJAX

## [3.9.13] - 2020-03-12
### Poprawiono
- Interfejs użytkownika w zakresie ustawień wtyczki

## [3.9.12] - 2020-03-05
### Dodano
- Lista wyboru paczkomatów dostępna bez podania Tokena API
- Walidacja paczkomatów przy składaniu zamówienia
- Walidacja paczkomatów z obsługą płatności w przypadku, gdy na metodzie wysyłki zostało zaznaczone Pobranie
- Link z opisem błędów w metaboxie, w edycji zamówienia

### Poprawiono
- Na liście paczkomatów dostępne wszystkie punkty odbioru - dotychczas dostępne były tylko paczkomaty

### Usunięto
- Opcja paczkomatów w pobliżu na liście wyboru paczkomatów
- Usługa Paczka E-commerce

## [3.9.11] - 2020-02-13
### Poprawiono
- Błąd z wybieraniem punktów odbioru POP
- Błąd związany z długą nazwę/adresu punktów odbioru wychodzącą poza kontener

## [3.9.10] - 2020-01-22
### Usunięto
- Dane odbiorcy (adres i nazwa) dla przesyłek do paczkomatu

## [3.9.9] - 2020-01-07
### Dodano
- Wsparcie dla WooCommerce 3.9

## [3.9.8] - 2019-12-19
### Poprawiono
- Dodanie przechwytywania i logowanie błędów w webhooku.

## [3.9.7] - 2019-12-16
### Dodano
- Dodanie w metaboxie komunikatu pojawiającego się w przypadku zawieszenia procesu generowania przesyłki na statusie Oferta wybrana

## [3.9.6] - 2019-11-28
### Poprawiono
- Przywrócona minifikacja JS

## [3.9.5] - 2019-11-26
### Dodano
- Filtr woocommerce_paczkomaty_inpost_shipment_data umożliwiający modyfikację danych przesyłki przed przesłaniem do API

## [3.9.4] - 2019-11-22
### Poprawiono
- Minifakacja JS

## [3.9.3] - 2019-11-22
### Poprawiono
- Wymiary mapki wyboru paczkomatów

## [3.9.2] - 2019-11-19
### Poprawiono
- Interpretacja statusu "Paczka nadana w paczkomacie"

## [3.9.1] - 2019-11-05
### Poprawiono
- Responsywność geowidgeta
- Działanie pól w metaboxie zamówienia

## [3.9.0] - 2019-10-28
### Poprawiono
- Błąd: Uncaught Error: Class 'WPDesk_Paczkomaty_ShipX_Exception' not found

### Zmieniono
- Silnik geowidgeta: https://inpost.pl/aktualnosci-zmiana-silnika-geowidget

## [3.8.8] - 2019-10-25
### Poprawiono
- Błąd znikającego przycisku w metaboxie zamówienia

## [3.8.7] - 2019-10-21
### Zmieniono
- Select2 na select2 Ajax w edycji zamówienia

## [3.8.6] - 2019-10-18
### Poprawiono
- Treść emaila - informacja o wybranym paczkomacie

## [3.8.5] - 2019-10-14
### Poprawiono
- Błąd przy zapisie produktu przy włączonym WPML

## [3.8.4] - 2019-10-14
### Dodano
- Obsługa prefiksowanych bibliotek WPDesk

### Zmieniono
- Etykieta statusu przesyłki w edycji zamówienia

## [3.8.3] - 2019-08-12
### Dodano
- Wsparcie dla WooCommerce 3.7.0

## [3.8.2] - 2019-07-16
### Poprawiono
- Błąd znikającego paczkomatu w polu wyboru przy przeładowaniu

## [3.8.1] - 2019-07-11
### Poprawiono
- Błąd który mógł się pojawić podczas aktywacji wtyczki

## [3.8.0] - 2019-07-09
### Dodano
- Wsparcie dla nowych bibliotek WPDesk

## [3.7.8] - 2019-05-24
### Poprawiono
- Paczka z wersją 3.7.7

## [3.7.7] - 2019-05-22
### Poprawiono
- Poprawna reakcja na nową postać unavailability_reasons zwracaną przez api

## [3.7.6] - 2019-04-11
### Usunięto
- Zbędny zapis do logów

## [3.7.5] - 2019-04-05
### Dodano
- Wsparcia dla WooCommerce 3.6.0

### Poprawiono
- Błąd javascript dla niektórych motywów

## [3.7.4] - 2019-03-21
### Poprawiono
- Kwoty pobrania dla przesyłek Allegro

## [3.7.3] - 2019-03-13
### Dodano
- Wsparcia dla motywów potomnych

## [3.7.2] - 2019-02-25
### Dodano
- Translacja dla statusów Inpost

## [3.7.1] - 2019-01-14
### Poprawiono
- Błąd powodujący konflikt z wtyczką DPD

## [3.7] - 2019-01-07
### Dodano
- Pole select2 z obsługą AJAX dla wyszukiwania paczkomatów
- Ustawienia dla wyboru metody wyboru paczkomatów (domyślnie select2)

### Usunięto
- Etykiety opcjonalne

## [3.6.8] - 2018-12-19
### Dodano
- Rozszerzona informacja dotycząca błędnego statusu połączenia

## [3.6.7] - 2018-12-19
### Poprawiono
- Problem z nieprawidłową jednostką dla wagi

3.6.6 2018-12-03
### Poprawiono
- Automatyczna zmiany statusu zamówienia po nadaniu przesyłki

## [3.6.5] - 2018-10-16
### Dodano
- Wsparcie dla WooCommerce 3.5

### Usunięto
- Wsparcie dla wersji WooCommerce 3.0 i starszych (wtyczka może dalej działać z wcześniejszymi wersjami, ale nie deklarujemy oficjalnego wsparcia i nie testowaliśmy wtyczki z tymi wersjami)

## [3.6.4] - 2018-05-23
### Dodano
- Wsparcie dla WooCommerce 3.4

## [3.6.3] - 2018-04-27
### Dodano
- Obsługa https do adresu API ShipX

## [3.6.2] - 2018-04-13
### Zmieniono
- Usprawnienie rozwiązań dotyczących obsługi wersji

## [3.6.1] - 2018-04-13
### Poprawiono
- Sposob nadania: Odbiór przez Kuriera dla API XML
- Błąd krytyczny w konfiguracji Flexible Shipping

## [3.6] - 2018-04-05
### Dodano
- Integracji z API ShipX dla wszystkich usług InPost
- Pobierania etykiet w formacie A6 i ZPL
- Lista usług InPost dostępnych dla wybranej organizacji
- Obsługa wszystkich usług Allegro InPost
- Status połączenia z API
- Filtr 'woocommerce_paczkomaty_inpost_checkout_select2'
- Opcja zapisu zdarzeń do logów WooCommerce

### Usunięto
- Opcja wyłączenia rozbudowanej listy paczkomatów
- Obsługa niedostępnej usługi InPost: Paczka E-Commerce

## [3.5.1] - 2018-01-12
### Poprawiono
- Błąd wymagania wybrania paczkomatu dla produktów wirtualnych

## [3.5] - 2017-12-07
### Dodano
- Przycisku Anuluj dla utworzonych i nieopłaconych przesyłek

### Zmieniono
- Usprawnienie wyświetlania komunikatów błędów API, w tym dla przesyłek nieopłaconych

## [3.4.4] - 2017-11-22
### Poprawiono
- Błąd uniemożliwiający zmianę statusu zamówienia po nadaniu przesyłki kurierskiej

## [3.4.3] - 2017-09-11
### Poprawiono
- Problem przy aktywacji licencji

## [3.4.2] - 2017-09-05
### Poprawiono
- Błąd związany z pobieraniem etykiet, który mógł występować na starszych wersjach WooCommerce (2.5.x)
- Obsługa dla PHP 5.3

## [3.4.1] - 2017-07-26
### Dodano
- Integracji z klasą WP Desk Tracker, która pomaga nam zrozumieć jak używasz wtyczki (dane są zbierane po wyrażeniu zgody)

### Poprawiono
- Dodawanie numeru zamówienia do etykiety przy masowym nadawaniu przesyłek

## [3.4] - 2017-06-07
### Dodano
- Możliwość obsługi wielu przesyłek InPost do jednego zamówienia

### Poprawiono
- Usunięcie konfliktu z WooCommerce Google Merchant Center XML
- Linku w komunikacie o wymaganiu Flexible Shipping
- Obsługa szerokości pola z wyborem paczkomatu w zamówieniu
- Błędy przy dodawaniu zamówienia ręcznie w panelu admina

## [3.3] - 2017-05-31
### Zmieniono
- Całkowicie przebudowana architektura wtyczki aby usprawnić procesy np. automatyzację wysyłki

### Poprawiono
- Błąd z wymaganiem punktu odbioru przy nadaniu w paczkomacie
- Problem z aktualizacją listy paczkomatów w niektórych sytuacjach

## [3.2] - 2017-03-30
### Dodano
- Obsługi Kuriera InPost
- Możliwość automatycznego nadawania przesyłek
- Możliwość nadawania przesyłek przez Masowe działania
- Możliwość automatycznej zmiany statusu zamówienia na Zrealizowane po nadaniu przesyłki
- Obsługa formatu etykiet epl2
- Wsparcie dla nadchodzącej wersji WooCommerce 3.0
- Informacja o wybranym Paczkomacie do wszystkich typów maili


### Zmieniono
- Przeniesienie wyboru rozmiaru paczki do metody w Flexible Shipping
- Zmiana nazwy z Paczkomaty na InPost
- Zmiana nazwy Polecony E-commerce na Paczka E-Commerce InPost

### Usunięto
- Wsparcie dla wersji WooCommerce poniżej 2.5 (wtyczka może dalej działać z wcześniejszymi wersjami, ale nie deklarujemy oficjalnego wsparcia i nie testowaliśmy wtyczki z tymi wersjami)

## [3.1.1] - 2016-10-28
### Poprawiono
- Formatowanie nazwy firmy w przypadku zawierania znaków specjalnych

## [3.1] - 2016-10-27
### Dodano
- Wysyłka za pobraniem
- Opcja ubezpieczenia
- Tryb testowy
- Możliwości zmiany metody wysyłki Paczkomaty w edycji zamówienia
- Numeru Paczkomatu do e-maili

### Poprawiono
- Dane firmy, imienia i nazwiska w danych nadawcy i odbiorcy

## [3.0.2] - 2016-06-23
### Poprawiono
- Błąd powodujący warning przy wyborze nadania

## [3.0.1] - 2016-06-17
### Poprawiono
- Błąd braku listy wyboru paczkomatu w zamówieniu w WooCommerce 2.6

## [3.0] - 2016-06-14
### Dodano
- Wsparcie dla nowej wtyczki Flexible Shipping
- Wybór paczkomatu bezpośrednio na mapie przy składaniu zamówienia
- Numer zamówienia jako numer referencyjny paczki

## [2.9.2] - 2016-05-05
### Poprawiono
- Dostosowanie do Woocommerce 2.6

## [2.9.1] - 2016-04-12
### Poprawiono
- Podatek dla Paczkomaty Polecony

## [2.9] - 2016-03-23
### Dodano
- Integracja z wtyczką WooCommerce Allegro

## [2.8.1] - 2016-03-09
### Poprawiono
- Wyłączenie weryfikacji certyfikatu SSL (pobieranie listy paczkomatów/punktów nadania)

## [2.8] - 2016-01-26
### Dodano
- System licencji i automatyczne aktualizacje

## [2.7] - 2015-12-23
### Poprawiono
- Wyłączenie weryfikacji certyfikatów SSL - komunikat "Wystąpił błąd podczas przetwarzania żądania." występujący na niektórych serwerach

## [2.6] - 2015-12-21
### Poprawiono
- Obsługa błędów zwracanych przez API Paczkomaty
- Obsługa wymagań API - komunikat o niespełnionych wymaganiach

## [2.5] - 2015-11-25
### Dodano
- E-commerce Polecony

### Zmieniono
- Uporządkowanie i rozbicie ustawień dla Paczkomatów i E-commerce Polecony

## [2.4] - 2015-11-05
### Zmieniono
- Zmiana chosen na select2

## [2.3.3] - 2015-09-02
### Poprawiono
- Fix warningów do WC 2.4

## [2.3.2] - 2014-03-18
### Poprawiono
- Zapisywanie w zamówieniu domyślnych wartości dla rozmiarów paczki i sposobów nadania

## [2.3.1] - 2014-03-05
### Dodano
- Nowa treść dla komunikatów z Paczkomaty API, które nie są obsługiwane

## [2.3] - 2014-01-27
### Dodano
- Opcja wyłączania Paczkomatów w momencie gdy w koszyku znajduje się więcej niż podana liczba produktów

## [2.2.1] - 2014-01-20
### Usunięto
- Niepotrzebny dodatkowy / przy ścieżce do pliku

## [2.2] - 2014-01-14
### Dodano
- Możliwość wyłączenia chosena dla selectów

## [2.1] - 2014-12-22
### Dodano
- Numery paczkomatów na liście
- W przypadku podania adresu wysyłki wtyczka poprawnie wyświetla paczkomaty w pobliżu

## [2.0] - 2014-12-16
### Poprawiono
- Zoptymalizowany sposób odwoływania się do api paczkomatów
- Zmodyfikowane hooki w które wpina się wybór paczkomatów tak, żeby ominąć kolizję z ajaxem w najnowszych wersjach WC

## [1.9] - 2014-12-08
### Zmieniono
- Zmiana sposobu pobierania id zamówienia

## [1.8.4] - 2014-11-27
### Poprawiono
- Ukrycie notice

## [1.8.3] - 2014-10-29
### Poprawiono
- Błąd, który mógł wyłączyć wtyczkę w panelu administracyjnym

## [1.8.1] - 2014-10-29
### Poprawiono
- Plugin chosen

## [1.8] - 2014-10-28
### Dodano
- Metoda wysyłki dostępna tylko dla paczek z adresem wysyłki w Polsce

## [1.7] - 2014-10-18
### Zmieniono
- Używanie chosen tylko wtedy, gdy jest dostępny

## [1.6] - 2014-10-13
### Poprawiono
- Ładowanie pluginu do wyszukiwania paczkomatu

## [1.5] - 2014-10-09
### Dodano
- Wyszukiwarka przy wyborze paczkomatu na stronie zamówienia
- Wybranego paczkomat do e-maila z potwierdzeniem zamówienia
- Numer zamówienia WooCommerce jako numeru referencyjnego na etykietę
- Zablokowanie przycisku generowania etykiety po pierwszym kliknięciu, aby nie generowały się duplikaty etykiet

## [1.4.1] - 2014-08-21
### Poprawiono
- Kompatybilność z Wordpress 4.0

## [1.4] - 2014-08-21
### Dodano
- Kompatybilność z WooCommerce 2.2

## [1.3.2] - 2014-04-17
### Poprawiono
- Kompatybilności z WooCommerce 2.x

## [1.3.1] - 2014-03-28
### Poprawiono
- Kompatybilność z WooCommerce 2.x

## [1.3] - 2014-03-17
### Dodano
- Kwota zamówienia od której wysyłka jest bezpłatna

## [1.2.2] - 2014-03-10
### Poprawiono
- Wsparcie dla shipping method per item

## [1.2.1] - 2014-03-04
### Poprawiono
- Problem z wybranym paczkomatem w zamówieniu

## [1.2] - 2014-02-21
### Poprawiono
- Błąd z linkowaniem bibliotek

## [1.1] - 2014-01-12
### Poprawiono
- Dostosowanie do WooCommerce 2.1

## [1.0] - 2013-10-28
### Dodano
- Pierwsze wydanie!

##### Dodano, Poprawiono
